## com.lowagie.text
Class Utilities

    java.lang.Object
      com.lowagie.text.Utilities

    public class Utilities

extends java.lang.Object

A collection of convenience methods that were present in many different iText classes.

Constructor Summary
`Utilities()`

Method Summary
`static java.lang.Object[][]` `addToArray(java.lang.Object[][] original, java.lang.Object[] item)` Utility method to extend an array.
`static boolean` `checkTrueOrFalse(java.util.Properties attributes, java.lang.String key)` Checks for a true/false value of a key in a Properties object.
`static java.util.Set` `getKeySet(java.util.Hashtable table)` Gets the keys of a Hashtable
`static void` `skip(java.io.InputStream is, int size)` This method is an alternative for the `InputStream.skip()` -method that doesn't seem to work properly for big values of `size` .
`static java.net.URL` `toURL(java.lang.String filename)` This method makes a valid URL from a given filename.
`static java.lang.String` `unEscapeURL(java.lang.String src)` Unescapes an URL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utilities

    public Utilities()

Method Detail

### getKeySet

    public static java.util.Set getKeySet(java.util.Hashtable table)

  Gets the keys of a Hashtable

  Parameters:
    `table` - a Hashtable
  Returns:
    the keyset of a Hashtable (or an empty set if table is null)

### addToArray

    public static java.lang.Object[][] addToArray(java.lang.Object[][] original,
                                                  java.lang.Object[] item)

  Utility method to extend an array.

  Parameters:
    `original` - the original array or `null`
    `item` - the item to be added to the array
  Returns:
    a new array with the item appended

### checkTrueOrFalse

    public static boolean checkTrueOrFalse(java.util.Properties attributes,
                                           java.lang.String key)

  Checks for a true/false value of a key in a Properties object.

  Parameters:
    `attributes` -
    `key` -
  Returns:
    a true/false value of a key in a Properties object

### unEscapeURL

    public static java.lang.String unEscapeURL(java.lang.String src)

  Unescapes an URL. All the "%xx" are replaced by the 'xx' hex char value.

  Parameters:
    `src` - the url to unescape
  Returns:
    the eunescaped value

### toURL

    public static java.net.URL toURL(java.lang.String filename)
                              throws java.net.MalformedURLException

  This method makes a valid URL from a given filename.

  This method makes the conversion of this library from the JAVA 2 platform to a JDK1.1.x-version easier.

  Parameters:
    `filename` - a given filename
  Returns:
    a valid URL
  Throws:
    `java.net.MalformedURLException`

### skip

    public static void skip(java.io.InputStream is,
                            int size)
                     throws java.io.IOException

  This method is an alternative for the `InputStream.skip()` -method that doesn't seem to work properly for big values of `size` .

  Parameters:
    `is` - the `InputStream`
    `size` - the number of bytes to skip
  Throws:
    `java.io.IOException`